Skip site navigation (1) Skip section navigation (2)

Re: reference problem of manifest.(win32.mak of libpq.dll)

From: "Hiroshi Saito" <z-saito(at)guitar(dot)ocn(dot)ne(dot)jp>
To: "Magnus Hagander" <magnus(at)hagander(dot)net>
Cc: <pgsql-patches(at)postgresql(dot)org>
Subject: Re: reference problem of manifest.(win32.mak of libpq.dll)
Date: 2008-01-10 14:52:15
Message-ID: 012801c85398$646c1b40$0d01a8c0@yourc3ftrhkaod (view raw or flat)
Thread:
Lists: pgsql-patches
Hi.

----- Original Message ----- 
From: "Magnus Hagander" <magnus(at)hagander(dot)net>


> On Wed, Jan 09, 2008 at 04:01:20PM +0900, Hiroshi Saito wrote:
>> Hi Magnus, and Dave.
>> 
>> It seems that it is different in nmake although the initial value of 
>> VisualStudio is embedding. Then,  It sees a reference problem by 
>> the dll independent. Therefore, embedding considers like an ideal.
>> 
>> Please take this into consideration.
> 
> + !IF "$(_NMAKE_VER)" != "6.00.9782.0"
> 
> I don't think that's safe. We need to do a range check. Perhaps check if
> vesion is >= 7.0 or something?
> 
> There can be other 6.00.<something> versions, no? Say with different
> servicepacks or something?

Condition understanding of '>=' is not made as for namke of VC6 to a regrettable 
thing, but it causes an error to it....:-(
So, except all  thought that it was good.

Regards,
Hiroshi Saito




In response to

Responses

pgsql-patches by date

Next:From: Magnus HaganderDate: 2008-01-10 15:08:29
Subject: Re: reference problem of manifest.(win32.mak of libpq.dll)
Previous:From: Magnus HaganderDate: 2008-01-10 14:43:56
Subject: Re: reference problem of manifest.(win32.mak of libpq.dll)

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group